server:
  port: 8093
#  port: 8000
debug: true

app:
  accessToken:
    expires: 7200

spring:
  http:
    multipart:
      max-file-size: 1024MB
      max-request-size: 1024MB
      enabled: true
  profiles:
    include:
      -development
      -test
      -production
    active: development

  datasource:
    driver-class-name: com.mysql.cj.jdbc.Driver

    # 数据库连接池配置
    druid:
      filters: stat
      initialSize: 1
      minIdle: 1
      maxActive: 40
      maxWait: 600000
      timeBetweenEvictionRunsMillis: 60000
      minEvictableIdleTimeMillis: 300000
      validationQuery: SELECT 'x'
      testWhileIdle: true
      testOnBorrow: false
      testOnReturn: false
      poolPreparedStatements: true
      maxPoolPreparedStatementPerConnectionSize: 20
      WebStatFilter:
        enabled: false
        urlPattern:
        exclusions:
        sessionStatMaxCount:
        sessionStatEnable:
        principalSessionName:
        principalCookieName:
        profileEnable:
      StatViewServlet:
        enabled: true
        urlPattern: /druid/*
        resetEnable: true
        loginUsername: druid
        loginPassword: druid
        allow:
        deny:
  aop:
    auto: true
  mvc:
    log-resolved-exception: false
  jackson:
    default-property-inclusion: non_null
    timeZone: GMT+8
    date-format: yyyy-MM-dd HH:mm:ss
    serialization:
      WRITE_NULL_MAP_VALUES: false
      INDENT_OUTPUT: true

# MyBatis Configuration
mybatis:
  type-aliases-package: com.ydd.oms.entity
  config-location: classpath:mybatis/mybatis-config.xml
  mapper-locations: classpath:mybatis/mapper/*/*.xml

face:
  url: 23r3o72310.iask.in
  account: test@test.com
  pwd: 123456

logging:
  level:
    com:
      sv:
        mapper: DEBUG